Subject: reprepro: Please add _removereference command to remove a reference to a given filekey
From: Raphaël Hertzog <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Mon, 20 Jun 2016 15:38:13 +0200

Package: reprepro
Version: 4.17.1-1
Severity: wishlist
User: [email-masked]
Usertags: origin-kali

I followed your advice to use temporary snapshots to keep some files
around for a few days... and now I always have like 16 snapshots for the
last 4 days.

But from time to time, Debian uploads a package with a different checksum
that the one I used in Kali. In those case, I have to remove all Kali
files for that specific package and replace it by the Debian file.
When I was not using snapshots I could just "removesrc" in all
distributions and copy the Debian package over.

Now "removesrc" is no longer enough since the file is still needed by
the snapshot and the only way to get the file to disappear is to remove
all the snapshots which I obviously don't want... so I would like to ask
you to create a "_removereference identifier filekey" command that
would be the counterpart to "_addreference".

Cheers,

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 4.6.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages reprepro depends on:
ii  libarchive13     3.2.0-2
ii  libbz2-1.0       1.0.6-8
ii  libc6            2.22-11
ii  libdb5.3         5.3.28-11
ii  libgpg-error0    1.22-2
ii  libgpgme11       1.6.0-3
ii  liblzma5         5.1.1alpha+20120614-2.1
ii  pinentry-curses  0.9.7-5
ii  zlib1g           1:1.2.8.dfsg-2+b1

Versions of packages reprepro recommends:
ii  apt  1.2.13

Versions of packages reprepro suggests:
ii  gnupg-agent  2.1.11-7
pn  inoticoming  <none>
pn  lzip         <none>

-- no debconf information